# SAM_WARN_SIGNAL_SET

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
ERRORS
SEE ALSO

## NAME

sam_warn_signal_set − Set warn signal

## SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_warn_signal_set (int warn_signal);

## DESCRIPTION

The sam_warn_signal_set function is used to configure warning signal sent before real killing of unresponsive application. Default value is SIGTERM. SIGKILL can be used to emulate "not warning signal send" behaviour.

## RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned.

## ERRORS

CS_ERR_BAD_HANDLE

component was not initialized by calling sam_initialize(3) or it was finalized.

## SEE ALSO

sam_initialize(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task